- Main Page
- Classes
- Files

- Class List
- Class Members

# libacpi Class List

Here are the classes, structs, unions and interfaces with brief descriptions:

acpi_value_t |
adapter_t | Information about ac adapater
batt_state_t | Battery life status
battery_t | Information found about battery
charge_state_t | Charge state of battery
fan_t | Fan data
global_t | Global acpi structure
list_t | Linked list
node |
node_t | Node for linked list
power_state_t | Power states
thermal_mode_t | Cooling mode
thermal_state_t | Thermal zone states
thermal_t | Information about thermal zone